package models

import (
	"github.com/shopspring/decimal"
	"go-admin/common/models"
)

type LinePriceLimit struct {
	models.Model

	Symbol          string          `json:"symbol" gorm:"type:varchar(255);comment:交易对"`
	Type            string          `json:"type" gorm:"type:enum('1','2');comment:类型:1=现货,2=合约"`
	DirectionStatus string          `json:"directionStatus" gorm:"type:enum('1','2');comment:方向:1=涨,2=跌"`
	Range           decimal.Decimal `json:"range" gorm:"type:decimal(10,5);comment:幅度"`
	models.ModelTime
	models.ControlBy
}

func (LinePriceLimit) TableName() string {
	return "line_price_limit"
}

func (e *LinePriceLimit) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LinePriceLimit) GetId() interface{} {
	return e.Id
}
